Skip to main content
PATCH
/
meetings
/
{meeting_sid}
/
availabilities
Update scheduling-link availability
curl --request PATCH \
  --url https://{your-subdomain}.neetocal.com/api/external/v2/meetings/{meeting_sid}/availabilities \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <x-api-key>' \
  --data '
{
  "periods": [
    {
      "wday": "monday",
      "start_time": "09:00 AM",
      "end_time": "05:00 PM"
    },
    {
      "wday": "tuesday",
      "start_time": "11:00 AM",
      "end_time": "04:00 PM"
    }
  ],
  "time_zone": "America/New_York"
}
'
{
  "message": "<string>",
  "meeting": {
    "id": "<string>",
    "sid": "<string>",
    "name": "<string>",
    "slug": "<string>",
    "description": "<string>",
    "duration": 123,
    "disabled": true,
    "spot_in_person_location": "<string>",
    "spot_custom_text": "<string>",
    "spot_phone_call_number": "<string>",
    "is_template": true,
    "schedulable_range_value": "<string>",
    "lead_time": 123,
    "start_time_increment": 123,
    "before_buffer_time": 0,
    "after_buffer_time": 0,
    "created_at": "2025-12-23T05:05:27.037Z",
    "updated_at": "2025-03-31T13:22:19.832Z",
    "deleted_at": null,
    "is_multiple_spots_allowed": true,
    "is_multiple_durations_allowed": true,
    "conditional_pricing_enabled": true,
    "is_email_reminders_enabled": true,
    "is_sms_reminders_enabled": true,
    "organization_id": "<string>",
    "rescheduling_lead_time": 123,
    "cancellation_lead_time": 123,
    "booking_modification_allowed": true,
    "cancellation_too_late_notice": "<string>",
    "cancellation_policy": "<string>",
    "rescheduling_too_late_notice": "<string>",
    "pre_booking_allowed": true,
    "original_price_enabled": true,
    "original_price": 123,
    "locked_time_zone": "America/New_York",
    "fees": [
      {
        "id": "1b217cc5-69b5-4fb1-a13c-c22f9c14e7f9",
        "amount": "120.0",
        "currency": "inr",
        "feeable_id": "aff17ff8-1bf8-4e77-a3c5-2f86104f9a20",
        "feeable_type": "Meeting",
        "payment_provider": "cash",
        "kind": "fixed",
        "min_amount": "120.0",
        "is_default": true,
        "display_amount": "<string>",
        "is_tax_enabled": true,
        "is_tip_enabled": true,
        "is_tax_applicable_on_tip": true,
        "vpas": [
          {}
        ],
        "recipient": {
          "id": "<string>",
          "fee_id": "<string>",
          "accountable": {}
        },
        "amount_in_smallest_currency_unit": 12000
      }
    ],
    "durations_possible": [
      123
    ],
    "durations": [
      {
        "id": "4ece6b6b-4b5f-4c15-9122-a85af189198c",
        "duration": 30,
        "is_default": false,
        "created_at": "2025-08-18T07:43:16.775Z",
        "updated_at": "2025-08-18T08:03:58.019Z"
      }
    ],
    "hosts": [
      {
        "name": "Oliver Smith",
        "email": "oliver@example.com"
      }
    ],
    "spots": [
      {
        "id": "bcc90342-9345-4d89-9144-d25d7c7b3521",
        "spot": "jitsi",
        "is_default": false,
        "phone_call_number": null,
        "in_person_location": null,
        "custom_text": null,
        "created_at": "2025-08-18T07:19:28.341Z",
        "updated_at": "2025-08-18T07:35:32.822Z"
      }
    ]
  }
}
Replace {your-subdomain} with your workspace’s subdomain.
Learn how to find your subdomain in Workspace subdomain.
Note that if the availability is used elsewhere, that would also be updated.

Headers

X-Api-Key
string
required

Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.

Path Parameters

meeting_sid
string
required

The unique SID of the scheduling link you want to fetch. You can get sid in different ways. Visit the scheduling link page and then click on "Settings" > "Show SID". That will give you sid. The other way you can get sid is by listing scheduling links using our List scheduling links API. Here you will see sid for each scheduling link.

Body

application/json
periods
object[]
Example:
[
{
"wday": "monday",
"start_time": "09:00 AM",
"end_time": "05:00 PM"
},
{
"wday": "tuesday",
"start_time": "11:00 AM",
"end_time": "04:00 PM"
}
]
time_zone
string

Optional IANA timezone name (e.g., "America/New_York", "Asia/Kolkata"). When provided, the start_time and end_time values in periods are assumed to be in this timezone and will be converted to the user's timezone before saving. If not provided, times are assumed to be in the user's timezone.

Example:

"America/New_York"

Response

200 - application/json

OK - Meeting updated successfully

message
string
meeting
object